Show / Hide Table of Contents

# Class OpenIddictConstants.Algorithms

##### Inheritance

System.Object
OpenIddictConstants.Algorithms

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class Algorithms

### Fields

#### EcdsaSha256

##### Declaration

    public const string EcdsaSha256 = "ES256"

##### Field Value

Type | Description
--- | ---
System.String |

#### EcdsaSha384

##### Declaration

    public const string EcdsaSha384 = "ES384"

##### Field Value

Type | Description
--- | ---
System.String |

#### EcdsaSha512

##### Declaration

    public const string EcdsaSha512 = "ES512"

##### Field Value

Type | Description
--- | ---
System.String |

#### HmacSha256

##### Declaration

    public const string HmacSha256 = "HS256"

##### Field Value

Type | Description
--- | ---
System.String |

#### HmacSha384

##### Declaration

    public const string HmacSha384 = "HS384"

##### Field Value

Type | Description
--- | ---
System.String |

#### HmacSha512

##### Declaration

    public const string HmacSha512 = "HS512"

##### Field Value

Type | Description
--- | ---
System.String |

#### RsaSha256

##### Declaration

    public const string RsaSha256 = "RS256"

##### Field Value

Type | Description
--- | ---
System.String |

#### RsaSha384

##### Declaration

    public const string RsaSha384 = "RS384"

##### Field Value

Type | Description
--- | ---
System.String |

#### RsaSha512

##### Declaration

    public const string RsaSha512 = "RS512"

##### Field Value

Type | Description
--- | ---
System.String |

#### RsaSsaPssSha256

##### Declaration

    public const string RsaSsaPssSha256 = "PS256"

##### Field Value

Type | Description
--- | ---
System.String |

#### RsaSsaPssSha384

##### Declaration

    public const string RsaSsaPssSha384 = "PS384"

##### Field Value

Type | Description
--- | ---
System.String |

#### RsaSsaPssSha512

##### Declaration

    public const string RsaSsaPssSha512 = "PS512"

##### Field Value

Type | Description
--- | ---
System.String |